ArcoLinux -D -B 19.5 iso's have been released

[SOLVED] Problem installing icewm-utils from AUR due to qt3 fail to build

Post Reply
JustaBob
Crewman
Posts: 7
Joined: Thu May 09, 2019 9:48 pm
Canada
[SOLVED] Problem installing icewm-utils from AUR due to qt3 fail to build

Post by JustaBob » Fri May 10, 2019 8:07 am

I'm new here. I tried Arcolinux briefly with openbox, and decided since I really like IceWM, to try making a set of scripts to install it. I used ArcolinuxD and copied the arco-openbox setup, and changed the scripts to instead install icewm. I have it pretty much working, now, all installs done by tweaking copies of the openbox scripts, with a couple of nights effort, but i wasn't able to install icewm-utils from the AUR.

I got a failed to build error, and I think I have tracked it back to not being able to install qt3. There was a message about that package a few months ago from someone saying it needed postgresql <=9.6, and I see 11.3 is installed.

https://aur.archlinux.org/packages/qt3/

I am not a total newbie, but not a C or C++ programmer, nor a linux expert by any means. I searched and found a message on the arch forum, and it says you shouldn't install things with yay, but gives no explanation how to install it manually, and my guess is that even if I did figure that out, I would still have the error.

I think if I could get qt3 installed, I could then install icewm-utils and then have icewmcc available, and have a complete Arco-IceWM system scripted with exception of creating//tweaking the configuration files to make it nice (I haven't figured that out yet and have been tweaking by hand).

Could anyone that knows the AUR install process try installing qt3 and tell me what I need to do to get it installed, please?

PS: the solution was to start over from ArcoLinux instead of ArcoLinuxD, which already had Xfce4 and OpenBox, and then use Yay to add postgresql-9.6, and then add qt3 and icewm-utils. I found that I couldn't get xfce4-appfinder, which I really like, to work right, and the easiest way to fix it was to work from a base install that included Xfce4, and then add the IceWM to it. I still have more tweaking I want to do, but its much lighter on memory requirements, and runs very fast, now. I have more to do to get it to where my oldest (and slowest) machines will run well on it, but that's because they are old and slow.

User avatar
erikdubois
Captain
Posts: 1860
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [SOLVED] Problem installing icewm-utils from AUR due to qt3 fail to build

Post by erikdubois » Sun May 12, 2019 9:45 am

I appreciate you getting back to us and telling us your solution in the matter.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.


Post Reply

Return to “Installation of Software (pacman, AUR, ...)”